Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.bridge
Class EntityBridgeInvocationHandler

    java.lang.Object
      org.jboss.ejb.plugins.cmp.bridge.EntityBridgeInvocationHandler

All Implemented Interfaces:
  InvocationHandler

public class EntityBridgeInvocationHandler
extends Object
implements InvocationHandler

EntityBridgeInvocationHandler is the invocation hander used by the CMP 2.x dynamic proxy. This class only interacts with the EntityBridge. The main job of this class is to deligate invocation of abstract methods to the appropriate EntityBridge method.

Life-cycle: Tied to the life-cycle of an entity bean instance.

Multiplicity: One per cmp entity bean instance, including beans in pool.

Version:
  $Revision: 1.24 $
Author:
  Dain Sundstrom, Alexey Loubyansky

Nested Class Summary
`static interface` | `EntityBridgeInvocationHandler.BridgeInvoker`
`static class` | `EntityBridgeInvocationHandler.FieldGetInvoker`
`static class` | `EntityBridgeInvocationHandler.FieldSetInvoker`

Constructor Summary
`EntityBridgeInvocationHandler(Map fieldMap, Map selectorMap, Class beanClass)` Creates an invocation handler for the specified entity.

Method Summary
`Object` | `invoke(Object proxy, Method method, Object[] args)` Processes a method invocation on a proxy instance and returns the result.
`void` | `setContext(EntityEnterpriseContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityBridgeInvocationHandler

    public EntityBridgeInvocationHandler(Map fieldMap,
                                         Map selectorMap,
                                         Class beanClass)

  Creates an invocation handler for the specified entity.

Method Detail

### setContext

    public void setContext(EntityEnterpriseContext ctx)

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws javax.ejb.FinderException

  Description copied from interface: `InvocationHandler`
  Processes a method invocation on a proxy instance and returns the result.

  Specified by:
    `invoke` in interface `InvocationHandler`
  Parameters:
    `proxy` - ???
    `method` - The method instance corresponding to the interface method invoked on the proxy instance.
    `args` - An array of objects containing the values of the arguments passed in the method invocation on the proxy instance, or null if interface method takes no arguments.
  Returns:
    The value to return from the method invocation on the proxy instance.
  Throws:
    `javax.ejb.FinderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.